%define name kmusicdb
%define version 0.12.2
%define release %mkrel 3
%define summary A Music Collection Manager with CDDB support

%define libdbmusic_version 0.8.2

Summary:	%summary
Name:		%name
Version: 	%version
Release:	%release
License:	GPL
Group:     Sound 
Url:       http://kmusicdb.sourceforge.net 
Source:     %{name}-%{version}.tar.bz2
Source1:   kmusicdb-48.png
Source2:   kmusicdb-32.png
Source3:   kmusicdb-16.png 
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot 
Requires:  libdbmusic >= %{libdbmusic_version}
Requires:  postgresql >= 8.1
BuildRequires: autoconf2.5
BuildRequires: libdbmusic-devel >= %{libdbmusic_version}
BuildRequires: kdelibs-devel
BuildRequires: libfam-devel
BuildRequires: postgresql-devel 
BuildRequires: desktop-file-utils

%description
KmusicdB is a music collection manager for KDE3, using a PostgreSQL backend.  

Features:
A backend capable of connecting to or creating postgreSQL databases.               
The ability to backup or restore these databases.               
A clean and stable interface.               
Adding, editing or deleting artists.               
Customizable main display.               
Adding, editing, deleting titles (including album cover pic).	
Adding, editing or deleting tracks. Easy to use editor.               
Customizable startup options.
Customizable defaults for artists, titles, databases, CDDB, etc.               
An attempt at being fast and efficien.               
Flexible design, most popups are implemented non-modal.               
Add/edit/delete format/boxset/genre/label/method/type/bands to explore.
Type is for Single, LP, etc.
Format is for MiniDisc, DVD, CD, Vinyl, etc.
Method is Live, Studio, etc.
Ability to generate customizable reports
(sort, colors, restrict by collected, not collected, dates, font)
Reports include: Artist, Collection, Date Range, Bands To Explore, Statistics, 
Tracks By Title, Titles By  Artist, Top Titles and Custom
The statistics report has a LOT of information on your database.
Including sums of artists, titles, tracks and length of tracks.
A listing of each category by how many of each and a percentage of the total. 	
Also are 2 methods of searching your database.	
CDDB support (CDDBP, HTTP and proxy).  
Local CDDB lookup via KSCD.	
Multi-user friendly.

%prep
rm -rf %{buildroot}
%setup -q -n %{name}-%{version}

%build
export WANT_AUTOCONF_2_5=1 
./configure --prefix=%{_prefix} --libdir=%{_libdir} --disable-rpath
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 
 
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(%{name}):\
needs="x11"\
section="More Applications/Databases"\
title="Kmusicdb"\
longtitle="A music collection manager "\
command="%{name}"\
icon="%{name}.png" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Databases" \
  --add-category="Database" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/*

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_miconsdir},%{_liconsdir}}
cp %{SOURCE1}  $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp %{SOURCE2}   $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp %{SOURCE3}  $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus


%clean
 

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL README TODO 
%{_bindir}/*
%{_menudir}/*
%{_datadir}/applnk/Utilities/kmusicdb.desktop 
%{_iconsdir}/hicolor/32x32/*
%{_iconsdir}/hicolor/64x64/*
%{_datadir}/apps/%{name}/kmusicdbui.rc
%{_docdir}/HTML/en/%{name}/* 
%_datadir/icons/hicolor/32x32/apps/kmusicdb.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Sat Sep 16 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-16 16:08:27 (61758)
- Add xdg keyword

* Sat Sep 16 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-16 16:06:34 (61757)
- XDG

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 03:48:22 (43133)
- import kmusicdb-0.12.2-2mdk

* Thu Apr 20 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.12.2-2mdk
- Add BuildRequires

* Fri Apr 14 2006 Jerome Martin <jmartin@mandriva.org> 0.12.2-1mdk
- 0.12.2

